Summary: An X Window System graphical chessboard
Name: xboard
Version: 4.2.7
Release: 11%{?dist}
Group: Amusements/Games
URL: http://www.tim-mann.org/xboard.html
Source: ftp://ftp.gnu.org/pub/gnu/xboard/xboard-%{version}.tar.gz
Source1: chess.png
Source2: xboard.desktop
Patch1: xboard-4.2.4-rh1.patch
Requires: chessprogram
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): info
Requires(preun): info
BuildRequires: desktop-file-utils >= 0.2.93
BuildRequires: xorg-x11-devel texinfo

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNU chess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

Install the xboard package if you need a graphical chessboard.

%prep
%setup -q 
%patch1 -p1 -b .rh1

%build
%configure
make %{?_smp_mflags} default info

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--mode 644 \
	--add-category X-Fedora \
	--add-category Game \
	--add-category Application \
	%{SOURCE2}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info --quiet --info-dir=%{_infodir} \
	%{_infodir}/%{name}.info.gz || :

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --quiet --info-dir=%{_infodir} \
		--delete %{_infodir}/%{name}.info.gz || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT AUTHORS ToDo NEWS READ_ME FAQ.html ics-parsing.txt
%doc engine-intf.html zippy.README 
%{_bindir}/xboard
%{_bindir}/zic2xpm
%{_bindir}/cmail
%{_bindir}/pxboard
%{_mandir}/man6/xboard.6*
%{_mandir}/man6/zic2xpm.6*
%{_infodir}/xboard.info*
%{_datadir}/pixmaps/chess.png
%{_datadir}/applications/*

%changelog
* Thu Jun 16 2005 Chris Ricker <kaboom@oobleck.net> 4.2.7-11%{?dist}
- Add more categories to desktop file (BZ #160476)

* Wed Jun 01 2005 Chris Ricker <kaboom@oobleck.net> 4.2.7-10%{?dist}
- Add dist tag

* Thu May 26 2005 David Woodhouse <dwmw2@infradead.org> 4.2.7-9
- Re-enable PPC build

* Mon May 23 2005 Chris Ricker <kaboom@oobleck.net> 4.2.7-8
- Update for Fedora Extras
- Don't strip binaries
- Preserve time stamps
- Update BuildRoot
- Drop unapplied patch
- Clean up info handling
- Include license and other docs

* Tue Jan 25 2005 Karsten Hopp <karsten@redhat.de> 4.2.7-7 
- add BuildRequires tetex (137561)

* Tue Nov 30 2004 Karsten Hopp <karsten@redhat.de> 4.2.7-7
- add URL (#141320)

* Wed Sep 22 2004 Than Ngo <than@redhat.com> 4.2.7-6
- cleanup specfile

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 02 2004 Karsten Hopp <karsten@redhat.de> 4.2.7-4 
- add some buildrequires (#125034)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 04 2003 Karsten Hopp <karsten@redhat.de> 4.2.7-2
- bump release and rebuild

* Thu Dec 04 2003 Karsten Hopp <karsten@redhat.de> 4.2.7-1
- update to 4.2.7

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Karsten Hopp <karsten@redhat.de>
- #74382, xboard didn't start gnuchess with correct parameters

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches
- let rpm handle the gzipping of files
- remove stuff from the buildroot that won't be included in the resulting package

* Sun Aug 04 2002 Karsten Hopp <karsten@redhat.de>
- remove duplicate entry in info (#70695)

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- s/Games/Game/

* Tue Jul 23 2002 Karsten Hopp <karsten@redhat.de>
- update to 4.2.6
- use desktop-file-install (#69536)
- add icon

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 4.2.5

* Mon Dec 17 2001 Karsten Hopp <karsten@redhat.de>
- set CHESS_PROGRAM to gnuchess instead of gnuchessx
  (it isn't available anymore after the update to chess-5)

* Thu Dec 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 4.2.4

* Sat Jul 07 2001 Karsten Hopp <karsten@redhat.de>
- Copyright -> License

* Wed May 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 4.2.3

* Mon Oct 02 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 4.1.0

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS stuff.

* Thu Mar  9 2000 Bill Nottingham <notting@redhat.com>
- update to 4.0.7

* Mon Feb 28 2000 Matt Wilson <msw@redhat.com>
- rebuild info file to have proper dir entry, etc.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- add dir entries in install-info

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip info pages (Bug #9035)
- add install-info stuff
- deal with rpm compressing man pages
- handle RPM_OPT_FLAGS

* Fri Dec 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.5

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.3

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- change requires: to virtual 'chessprogram'

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- require gnuchess so it will work out of the box

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
